=== debian/changelog ===
telepathy-qt (0.9.7-0ubuntu2) zesty; urgency=medium

  * New upstream release

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Wed, 02 Nov 2016 18:43:26 -0200

telepathy-qt (0.9.6.1-9ubuntu6) yakkety; urgency=medium

  [ Tiago Salem Herrmann ]
  * Re-enable running tests when building the package.
  * Disable tests known to be broken

  [ Gustavo Pichorim Boiko ]
  * Update some more code to work with QtDBus 5.6

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Mon, 12 Sep 2016 17:09:04 -0300

telepathy-qt (0.9.6.1-7ubuntu1~vivid) vivid; urgency=medium

  * Fix registering clients when using Qt >= 5.6.0

 -- Gustavo Pichorim Boiko <gustavo.boiko@canonical.com>  Fri, 19 Aug 2016 10:59:24 -0300

telepathy-qt (0.9.6.1-6ubuntu1) yakkety; urgency=medium

  * Take the complete package from Debian.
  * Adjust libssl1.0.x build dependency.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 27 Apr 2016 08:50:40 +0200
