=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://telepathy.freedesktop.org/releases/telepathy-qt/telepathy-qt-(.*).tar.gz
